Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 811813 - Copying to a USB stick gives bogus warning messages
Summary: Copying to a USB stick gives bogus warning messages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-12 02:59 UTC by Bill Gradwohl
Modified: 2015-03-03 23:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 22:57:06 UTC
Type: Bug


Attachments (Terms of Use)
This is before the copy, showing that the directory ycc does not exist on the stick. (288.84 KB, image/png)
2012-04-12 02:59 UTC, Bill Gradwohl
no flags Details
This is during the copy showing the bogus message. (322.34 KB, image/png)
2012-04-12 03:03 UTC, Bill Gradwohl
no flags Details

Description Bill Gradwohl 2012-04-12 02:59:16 UTC
Created attachment 576934 [details]
This is before the copy, showing that the directory ycc does not exist on the stick.

Description of problem:
Copying a few meg of files to a USB stick sometimes causes the copy operation to issue false warning messages about replacing files that don't exist.

Version-Release number of selected component (if applicable):
Fully patched F16

Steps to Reproduce:
1. Using Nautilus select a directory to copy & hit copy. i.e. ycc
2. Using another Nautilus that pops up when a stick is mounted, rename the same directory to something else. (ycc is on the stick, representing the last copy. Rename it to some rubbish to get the name out of the way.
3. Hit paste into the USB stick.
  
Actual results:


Expected results:


Additional info:
Attaching 2 screen shots. One shows the source and target of the copy. The other shows the bogus warning. The before shows that no directory (ycc) exists on the stick

Since the directory being copied (ycc) didn't exist on the stick, how can the copy find an existing older file in the hierarchy to give the warning? That's impossible.

Comment 1 Bill Gradwohl 2012-04-12 03:03:36 UTC
Created attachment 576935 [details]
This is during the copy showing the bogus message.

I believe this has something to do with the latency involved with USB sticks.

A few seconds before issuing the paste, there was a directory named ycc on the stick. I renamed it to just get the name "ycc" out of the way so that the paste could reuse the same name. 

This occurs sometimes, and not others.

Comment 2 Fedora End Of Life 2013-01-16 18:54:47 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-13 22:57:09 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.